Bug Hunting Session
Bug 103864 - macOS: high CPU when scrolling around
Summary: macOS: high CPU when scrolling around
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace, perf
Depends on:
Blocks: MacOS-Performance
  Show dependency treegraph
 
Reported: 2016-11-11 13:11 UTC by Telesto
Modified: 2018-10-11 03:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screen Recording (5.24 MB, video/quicktime)
2016-11-11 13:12 UTC, Telesto
Details
LLDB Backtrace with debug symbols (1.25 MB, text/plain)
2016-11-11 13:15 UTC, Telesto
Details
LLDB Backtrace with debug symbols (1.24 MB, text/plain)
2016-11-11 13:19 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2016-11-11 13:11:45 UTC
Description:
When moving a (empty) page around (scrolling horizontally or vertically) the CPU usage  quite excessive on a Mac. I haven't seen the same behavior on Windows. 


Steps to Reproduce:
1.Scrolling up and down, left and right 
2.
3.

Actual Results:  
High CPU usage when scrolling

Expected Results:
Low CPU usage when scrolling


Reproducible: Always

User Profile Reset: YES

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_1) AppleWebKit/602.2.14 (KHTML, like Gecko) Version/10.0.1 Safari/602.2.14
Comment 1 Telesto 2016-11-11 13:12:25 UTC
Created attachment 128657 [details]
Screen Recording
Comment 2 Telesto 2016-11-11 13:15:46 UTC
Created attachment 128658 [details]
LLDB Backtrace with debug symbols

A backtrace taken at the moment the CPU-usage spikes.
Comment 3 Telesto 2016-11-11 13:19:22 UTC
Created attachment 128659 [details]
LLDB Backtrace with debug symbols
Comment 4 Telesto 2016-11-11 13:50:01 UTC
Almost forgotten. I did the debugging with: 
Version: 5.3.0.0.alpha1+
Build ID: 64a708cba9b954afe3331f63c58218eb53b3d0ce
CPU Threads: 4; OS Version: Mac OS X 10.12.1; UI Render: default; Layout Engine: new; 
Locale: en-US (en_US.UTF-8); Calc: group

I also tested LO 5.2.3.1 and 4.3.7.2 with same results.
Comment 5 Telesto 2016-11-11 14:02:36 UTC
I also found it in LibreOffice 3.3.0.4 and OpenOffice 4.1.3
Comment 6 Telesto 2016-11-13 15:15:54 UTC
Dragging around a shape or symbol (for example a smiley face) has the same effect.
Comment 7 steve -_- 2016-11-13 15:41:05 UTC
scrolling wild with trackpad (up down left right) on a late 2012 imac continuously adds to CPU usage. went up from idle to 40% and after continuing for some time (~20 sec) to 90%.

as soon as user stops to scroll around, CPU goes back to normal.

confirmed → NEW
Comment 8 Telesto 2016-11-14 13:36:26 UTC
The same issue also exists in Writer
Comment 9 Telesto 2016-11-19 16:09:09 UTC
Within the backtrace I noticed:
- "cannot write pidfile "
- "cannot open pidfile "
- "cannot get pidfile URL from path"
Comment 10 QA Administrators 2018-10-11 03:02:59 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug